https://azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Web/geoRegionsGet a list of available geographical regions.
Name of SKU used to filter the regions.
Specify <code>true</code> if you want to filter to only regions that support Linux workers.
Specify <code>true</code> if you want to filter to only regions that support Xenon workers.
Specify <code>true</code> if you want to filter to only regions that support Linux Consumption Workers.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Web/geoRegions' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Web/geoRegionsGet a list of available geographical regions.
Name of SKU used to filter the regions.
Specify <code>true</code> if you want to filter to only regions that support Linux workers.
Specify <code>true</code> if you want to filter to only regions that support Xenon workers.
Specify <code>true</code> if you want to filter to only regions that support Linux Consumption Workers.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Web/geoRegions' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}